This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 3760 - rpm cannot -ba noarch packages
rpm cannot -ba noarch packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-27 07:21 EDT by stano
Modified: 2015-01-07 18:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-27 14:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stano 1999-06-27 07:21:31 EDT
When trying to build a noarch package, rpm fails with
segmentation fault. Repeat e.g. by:

# rpm -ba redhat-release.spec
Executing: %install
+ umask 022
+ cd /usr/src/redhat/BUILD
+ mkdir -p /var/tmp/redhat-release-root/etc
+ echo Red Hat Linux release 6.0 (Hedwig)
+ exit 0
Segmentation fault (core dumped)

Upgrading to rpm-3.0.1-12.6.0.i386.rpm from ftp.rpm.org
fixes the problem, so it would be probably a good idea to
include it in the errata and updates.
Comment 1 Jeff Johnson 1999-06-27 14:42:59 EDT
An errata for rpm will be issued soon.

Note You need to log in before you can comment on or make changes to this bug.